package w83a.w83aOperacionesPaso.w83aDocumentacion;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83a.w83aBeans.W83aDocumentacionBean;
import w83a.w83aUtilidadesComunes.W83aClsConstantes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83aAntesEdicion extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		W83aDocumentacionBean doc=(W83aDocumentacionBean)contexto.get("w83aDocumentacionBean");
		doc.getCentroTrabajo().setCodCentroTrabajo((String)contexto.get("codSelecCentro"));
		doc.setHistorico((String)contexto.get("historico"));
		doc.setNumActaAnyo((String)contexto.get("numActaAnyoSeleccionada"));
		doc.setNumActaNumero((String)contexto.get("numActaNumeroSeleccionada"));
		doc.setNumActaTerritorio((String)contexto.get("numActaTerritorioSeleccionada"));
		doc.setNumPreavisoAnyo((String)contexto.get("numPreavisoAnyoSeleccionada"));
		doc.setNumPreavisoNumero((String)contexto.get("numPreavisoNumeroSeleccionada"));
		doc.setNumPreavisoTerritorio((String)contexto.get("numPreavisoTerritorioSeleccionada"));
		doc.setTipoBusqueda((String)contexto.get("tipoBusquedaSeleccionada"));
		doc.setFechaEleccion((String)contexto.get("fechaEleccion"));
		doc.setIdColumna("");
		contexto.set("codSelecEdicion",contexto.get("codSelecCentro"));
		contexto.set("w83aDocumentacionBean",doc);
		HashMap mapa=new HashMap();
		mapa.put("pestania", "0");
		
		
		mapa.put("strIdioma", contexto.get(W83aClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
		return mapping.findForward("ok");
	}

}
